petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerAndFormatCreate

Creates a PetscViewerAndFormat struct.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerAndFormatCreate(PetscViewer viewer, PetscViewerFormat format,PetscViewerAndFormat **vf)

Collective on PetscViewer Many br

### Input Parameters

| viewer | - the viewer Many br
| format | - the format Many br

### Output Parameter

vf -viewer and format object Many br

Notes: This increases the reference count of the viewer so you can destroy the viewer object after this call Many br Many br

This is used as the context variable for many of the TS, SNES, and KSP monitor functions Many br

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDrawOpen(), PetscViewerAndFormatDestroy()

Level:developer
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex2f.F.html
src/snes/examples/tutorials/ex30.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex12.c.html